API Reference
Retrieve a payment
Authorization
apiKey AuthorizationBearer <token>
A secret API key, e.g. Authorization: Bearer sk_test_....
In: header
Path Parameters
id*string
Payment id (pay_...).
Response Body
application/json
application/json
curl -X GET "https://example.com/v1/payments/string"{ "id": "string", "amount": 0, "currency": "string", "status": "string", "fee_amount": 0, "refunded_amount": 0, "net_amount": 0, "connector_ref": "string", "connector": "string", "description": "string", "customer_email": "string", "authorization_code": "string", "receipt_url": "string", "authorized_at": "2019-08-24T14:15:22Z", "captured_at": "2019-08-24T14:15:22Z", "failed_at": "2019-08-24T14:15:22Z", "created_at": "2019-08-24T14:15:22Z", "card": { "brand": "string", "last4": "string", "exp_month": 0, "exp_year": 0, "funding": "string", "fingerprint": "string" }, "verification": { "avs_line1": "string", "avs_zip": "string", "cvc_check": "string", "three_ds_result": "string", "three_ds_version": "string", "risk_level": "string", "risk_score": 0 }, "refunds": [ { "id": "re_01ARZ3NDEKTSV4RRFFQ69G5FAV", "amount": 0, "status": "string", "connector_ref": "string", "reason": "string", "failure_code": "string", "failure_message": "string", "created_at": "2019-08-24T14:15:22Z" } ], "dispute": { "id": "dp_01ARZ3NDEKTSV4RRFFQ69G5FAV", "connector_dispute_id": "string", "reason": "string", "status": "string", "amount": 0, "opened_at": "2019-08-24T14:15:22Z" }}{ "error": { "code": "not_found", "message": "not found" }}